POST
/v1/knowledge-base/filesRegister a knowledge base file
Creates a knowledge base file record for ingestion. Supply fileId and displayName to register the file, and use the returned id to refer to the created record.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
File details to register for knowledge base ingestion.
displayNamestringrequired
The name to display for the file.
fileIdstringrequired
The identifier of the file to register.
201Returns the created knowledge base file record with its generated `id`.
idstringrequired
Error handling
fileId and displayName are required. The fileId value identifies the file to register.